Bug 802005 - .glusterfs<anything_here> can be created but won't be listed in ls -a
.glusterfs<anything_here> can be created but won't be listed in ls -a
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: M S Vishwanath Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 02:11 EST by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 05:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2012-03-10 02:11:33 EST
Description of problem:
On the mountpoint, creation of .glusterfs is not permitted, but creation of any directory .glusterfs_hidden or .glusterfs_blah_blah is permitted. So the creation succeeds but won't be listed in ls -a. 

Version-Release number of selected component (if applicable):
git master

How reproducible:
Always

Steps to Reproduce:
1. Create and start any volume.
2. Mount the volume and create a dir called .glusterfs_hidden
3. Run ls -a on mountpoint.
  
Actual results:
.glusterfs_hidden won't be listed.

Expected results:
.glusterfs_hidden directory should be listed in ls -a.

Additional info:
Comment 1 Anand Avati 2012-03-12 02:00:12 EDT
CHANGE: http://review.gluster.com/2910 (posix_fill_readdir: Using strcmp to compare GF_HIDDEN_PATH with entry->d_name instead of strncmp.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 M S Vishwanath Bhat 2012-03-13 05:31:28 EDT
Now the .glusterfs_hidden or .glusterfs_abc can be created and ls -a lists teh entries. Moving to closed upstream.

Note You need to log in before you can comment on or make changes to this bug.